Storyden
Posts

Post Location Get

Locate a post just from its ID. This will tell you what kind of post it is and where to find it. Where "a post is" is simple for threads, just the slug. For replies, it will give you the thread slug and the position within the thread: the index, the page and the position on the page.

GET
/posts/location

Locate a post just from its ID. This will tell you what kind of post it is and where to find it. Where "a post is" is simple for threads, just the slug. For replies, it will give you the thread slug and the position within the thread: the index, the page and the position on the page.

Authorization

cookiestoryden-session<token>

Query Parameters

id*string

The post ID to locate

Formatxid

Response Body

Post location retrieved successfully.

application/json
  1. response

The location of a post. For threads, this is just the slug. For replies, this includes the thread slug, the index, page number and position.

slug*string

The thread slug for a thread or root slug for a reply.

kind*string

Whether this is a thread or a reply

Value in"thread""reply"
index?integer

The zero-based index of a reply within its thread.

page?integer

The page number where the reply appears.

position?integer

The position of the reply on its page.

Example Request
curl -X GET 'https://example.com/api/posts/location?id=string'
Example Response
{  "slug": "string",  "kind": "thread",  "index": 0,  "page": 0,  "position": 0}